umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
TextBlockInfo Class Reference

`#include <codeeditor.h>`

## Public Member Functions
| TextBlockInfo ()
void | setParent (UMLObject *p=0)
UMLObject * | parent ()
void | setDisplayName (const QString &name)
QString | displayName () const

## Public Attributes
QList< ParaInfo * > | m_paraList
UMLObject * | m_parent
QString | m_displayName
bool | isClickable
bool | isCodeAccessorMethod

## Constructor & Destructor Documentation

## ◆ TextBlockInfo()

TextBlockInfo::TextBlockInfo | ( |  | ) |
| inline

## Member Function Documentation

## ◆ displayName()

QString TextBlockInfo::displayName | ( |  | ) | const
| inline

## ◆ parent()

UMLObject * TextBlockInfo::parent | ( |  | ) |
| inline

## ◆ setDisplayName()

void TextBlockInfo::setDisplayName | ( | const QString & | name | ) |
| inline

## ◆ setParent()

void TextBlockInfo::setParent | ( | UMLObject * | p = 0 | ) |
| inline

## Member Data Documentation

## ◆ isClickable

bool TextBlockInfo::isClickable

## ◆ isCodeAccessorMethod

bool TextBlockInfo::isCodeAccessorMethod

## ◆ m_displayName

QString TextBlockInfo::m_displayName

## ◆ m_paraList

QList<ParaInfo*> TextBlockInfo::m_paraList

## ◆ m_parent

UMLObject* TextBlockInfo::m_parent

The documentation for this class was generated from the following file:

- umbrello/dialogs/codeeditor.h